Get eligibility of returns for items in an order by order ID
Determines whether one or more items in an order are eligible for return.
Customers may request a return if items do not meet expectations or if they
have simply changed their mind.
This endpoint checks return eligibility using the order ID.
You can also specify a lineItemId to check eligibility for a specific item.
If omitted, eligibility is checked for each item in the order.
Note:
- Use this endpoint only if you have the order ID.
- If you have an order number instead, use the order number–based endpoint:
POST /orders/order-number/{orderNumber}/actions/check-return-eligibility.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
x-fabric-channel-id identifies the sales channel where the API request is being made; primarily for multichannel use cases. The channel ids are 12 corresponding to US and 13 corresponding to Canada. The default channel id is 12. This field is required.
Unique request ID
Path Parameters
24-character system-generated order ID returned in the response of Create Order - POST /orders endpoint.
Query Parameters
Merchant-defined return policy. When omitted, the default policy is considered.
Line item ID. If specified, gets the return eligibility of the given line item ID. If omitted, gets the return eligibility of each item in the order.
Response
OK
Eligibility details object.
Reason codes for returns
Fee details
Item's eligibility for return, cancellation, or exchange
24-character system-generated order ID
"62f3982438bcab1951be0a19"
Return, exchange or cancellation window as per merchant policy
"30D00H00M"
Policy type that determines eligibility of exchange, return, or cancellation. If omitted, the default policy is considered.
"Company Policy 2023"
